<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<title>library_dir_dir/include/symbol_block_header.incl.pl1</title>
<meta name="Generator" content="Vim/9.1">
<meta name="plugin-version" content="vim9.0_v2">
<meta name="syntax" content="pl1">
<meta name="settings" content="number_lines,use_css,no_foldcolumn,expand_tabs,line_ids,pre_wrap,prevent_copy=,use_input_for_pc=none">
<meta name="colorscheme" content="PaperColor">
<style>
<!--
pre { white-space: pre-wrap; font-family: monospace; color: #d0d0d0; background-color: #000000; }
body { font-family: monospace; color: #d0d0d0; background-color: #000000; }
* { font-size: 1em; }
.Macro { color: #00afaf; }
.pliRainbow_lv0_p0 { color: #add8e6; }
.LineNr { color: #585858; }
.Number { color: #ff5faf; }
.Keyword { color: #00afaf; }
.StorageClass { color: #d7875f; font-weight: bold; }
.Comment { color: #808080; }
.Normal { color: #d0d0d0; background-color: #000000; padding-bottom: 1px; }
-->
</style>

<script>
<!--

/* function to open any folds containing a jumped-to line before jumping to it */
function JumpToLine()
{
  var lineNum;
  lineNum = window.location.hash;
  lineNum = lineNum.substr(1); /* strip off '#' */

  if (lineNum.indexOf('L') == -1) {
    lineNum = 'L'+lineNum;
  }
  var lineElem = document.getElementById(lineNum);
  /* Always jump to new location even if the line was hidden inside a fold, or
   * we corrected the raw number to a line ID.
   */
  if (lineElem) {
    lineElem.scrollIntoView(true);
  }
  return true;
}
if ('onhashchange' in window) {
  window.onhashchange = JumpToLine;
}

-->
</script>
</head>
<body onload='JumpToLine();'>
<pre id='vimCodeElement'>
<span id="L1" class="LineNr"> 1 </span><span class="Comment">/* BEGIN INCLUDE SEGMENT ... symbol_block_header.incl.pl1  */</span>
<span id="L2" class="LineNr"> 2 </span>
<span id="L3" class="LineNr"> 3 </span>          <span class="Comment">/* Declaration of obsolete symbol block temporarily</span>
<span id="L4" class="LineNr"> 4 </span><span class="Comment">             generated by the binder                        */</span>
<span id="L5" class="LineNr"> 5 </span>
<span id="L6" class="LineNr"> 6 </span><span class="Keyword">declare</span>   <span class="Number">1</span> <span class="Normal">symblk_head</span> <span class="Macro">aligned</span> <span class="Macro">based</span><span class="pliRainbow_lv0_p0">(</span><span class="Normal">sblkp</span><span class="pliRainbow_lv0_p0">)</span><span class="Normal">,</span>
<span id="L7" class="LineNr"> 7 </span>
<span id="L8" class="LineNr"> 8 </span>          <span class="Number">2</span> <span class="Normal">block_id</span> <span class="StorageClass">char</span><span class="pliRainbow_lv0_p0">(</span><span class="Number">8</span><span class="pliRainbow_lv0_p0">)</span> <span class="Macro">aligned</span><span class="Normal">,</span>             <span class="Comment">/* identifier of this symbol block */</span>
<span id="L9" class="LineNr"> 9 </span>          <span class="Number">2</span> <span class="Normal">dcl_version</span> <span class="Macro">fixed</span> <span class="Macro">bin</span><span class="Normal">,</span>                <span class="Comment">/* version number of this structure = 1 */</span>
<span id="L10" class="LineNr">10 </span>          <span class="Number">2</span> <span class="Normal">comp_version_number</span> <span class="Macro">fixed</span> <span class="Macro">bin</span><span class="Normal">,</span>        <span class="Comment">/* generator's version number */</span>
<span id="L11" class="LineNr">11 </span>          <span class="Number">2</span> <span class="Normal">comp_creation_time</span> <span class="Macro">fixed</span> <span class="Macro">bin</span><span class="pliRainbow_lv0_p0">(</span><span class="Number">71</span><span class="pliRainbow_lv0_p0">)</span><span class="Normal">,</span>     <span class="Comment">/* compiler creation time (compatible with old symb table) */</span>
<span id="L12" class="LineNr">12 </span>          <span class="Number">2</span> <span class="Normal">object_creation_time</span> <span class="Macro">fixed</span> <span class="Macro">bin</span><span class="pliRainbow_lv0_p0">(</span><span class="Number">71</span><span class="pliRainbow_lv0_p0">)</span><span class="Normal">,</span>   <span class="Comment">/* clock reading (compatible with old symb table) */</span>
<span id="L13" class="LineNr">13 </span>          <span class="Number">2</span> <span class="Normal">comp_id</span> <span class="StorageClass">char</span><span class="pliRainbow_lv0_p0">(</span><span class="Number">8</span><span class="pliRainbow_lv0_p0">)</span> <span class="Macro">aligned</span><span class="Normal">,</span>              <span class="Comment">/* identifier of object generator */</span>
<span id="L14" class="LineNr">14 </span>          <span class="Number">2</span> <span class="Normal">comp_version_name</span><span class="Normal">,</span>
<span id="L15" class="LineNr">15 </span>            <span class="Number">3</span> <span class="Normal">name_ptr</span> <span class="Macro">bit</span><span class="pliRainbow_lv0_p0">(</span><span class="Number">18</span><span class="pliRainbow_lv0_p0">)</span> <span class="Macro">unaligned</span><span class="Normal">,</span>         <span class="Comment">/* pointer to string */</span>
<span id="L16" class="LineNr">16 </span>            <span class="Number">3</span> <span class="Normal">name_lng</span> <span class="Macro">bit</span><span class="pliRainbow_lv0_p0">(</span><span class="Number">18</span><span class="pliRainbow_lv0_p0">)</span> <span class="Macro">unaligned</span><span class="Normal">,</span>         <span class="Comment">/* length of string */</span>
<span id="L17" class="LineNr">17 </span>          <span class="Number">2</span> <span class="Normal">userid</span><span class="Normal">,</span>
<span id="L18" class="LineNr">18 </span>            <span class="Number">3</span> <span class="Normal">id_ptr</span> <span class="Macro">bit</span><span class="pliRainbow_lv0_p0">(</span><span class="Number">18</span><span class="pliRainbow_lv0_p0">)</span> <span class="Macro">unaligned</span><span class="Normal">,</span>           <span class="Comment">/* pointer to userid string */</span>
<span id="L19" class="LineNr">19 </span>            <span class="Number">3</span> <span class="Normal">id_lng</span> <span class="Macro">bit</span><span class="pliRainbow_lv0_p0">(</span><span class="Number">18</span><span class="pliRainbow_lv0_p0">)</span> <span class="Macro">unaligned</span><span class="Normal">,</span>           <span class="Comment">/* lng of userid string */</span>
<span id="L20" class="LineNr">20 </span>          <span class="Number">2</span> <span class="Normal">comment</span><span class="Normal">,</span>
<span id="L21" class="LineNr">21 </span>            <span class="Number">3</span> <span class="Normal">com_ptr</span> <span class="Macro">bit</span><span class="pliRainbow_lv0_p0">(</span><span class="Number">18</span><span class="pliRainbow_lv0_p0">)</span> <span class="Macro">unaligned</span><span class="Normal">,</span>          <span class="Comment">/* pointer to comment string */</span>
<span id="L22" class="LineNr">22 </span>            <span class="Number">3</span> <span class="Normal">com_lng</span> <span class="Macro">bit</span><span class="pliRainbow_lv0_p0">(</span><span class="Number">18</span><span class="pliRainbow_lv0_p0">)</span> <span class="Macro">unaligned</span><span class="Normal">,</span>          <span class="Comment">/* length of comment string */</span>
<span id="L23" class="LineNr">23 </span>          <span class="Number">2</span> <span class="Normal">source_map_ptr</span> <span class="Macro">bit</span><span class="pliRainbow_lv0_p0">(</span><span class="Number">18</span><span class="pliRainbow_lv0_p0">)</span> <span class="Macro">unaligned</span><span class="Normal">,</span>     <span class="Comment">/* pointer to array of sourcefile specifiers */</span>
<span id="L24" class="LineNr">24 </span>          <span class="Number">2</span> <span class="Normal">source_map_size</span> <span class="Macro">bit</span><span class="pliRainbow_lv0_p0">(</span><span class="Number">18</span><span class="pliRainbow_lv0_p0">)</span> <span class="Macro">unaligned</span><span class="Normal">,</span>    <span class="Comment">/* dimension of source map */</span>
<span id="L25" class="LineNr">25 </span>          <span class="Number">2</span> <span class="Normal">block_ptr</span> <span class="Macro">bit</span><span class="pliRainbow_lv0_p0">(</span><span class="Number">18</span><span class="pliRainbow_lv0_p0">)</span> <span class="Macro">unaligned</span><span class="Normal">,</span>          <span class="Comment">/* pointer to beginning of symbol block */</span>
<span id="L26" class="LineNr">26 </span>          <span class="Number">2</span> <span class="Normal">section_base</span> <span class="Macro">bit</span><span class="pliRainbow_lv0_p0">(</span><span class="Number">18</span><span class="pliRainbow_lv0_p0">)</span> <span class="Macro">unaligned</span><span class="Normal">,</span>       <span class="Comment">/* backpointer to symbol section base */</span>
<span id="L27" class="LineNr">27 </span>          <span class="Number">2</span> <span class="Keyword">block_size</span> <span class="Macro">bit</span><span class="pliRainbow_lv0_p0">(</span><span class="Number">18</span><span class="pliRainbow_lv0_p0">)</span> <span class="Macro">unaligned</span><span class="Normal">,</span>         <span class="Comment">/* size of symbol block (incl header) */</span>
<span id="L28" class="LineNr">28 </span>          <span class="Number">2</span> <span class="Normal">next_block</span> <span class="Macro">bit</span><span class="pliRainbow_lv0_p0">(</span><span class="Number">18</span><span class="pliRainbow_lv0_p0">)</span> <span class="Macro">unaligned</span><span class="Normal">,</span>         <span class="Comment">/* thread to next symbol block */</span>
<span id="L29" class="LineNr">29 </span>          <span class="Number">2</span> <span class="Normal">rel_text</span> <span class="Macro">bit</span><span class="pliRainbow_lv0_p0">(</span><span class="Number">18</span><span class="pliRainbow_lv0_p0">)</span> <span class="Macro">unaligned</span><span class="Normal">,</span>           <span class="Comment">/* pointer to text relocation bits */</span>
<span id="L30" class="LineNr">30 </span>          <span class="Number">2</span> <span class="Normal">rel_link</span> <span class="Macro">bit</span><span class="pliRainbow_lv0_p0">(</span><span class="Number">18</span><span class="pliRainbow_lv0_p0">)</span> <span class="Macro">unaligned</span><span class="Normal">,</span>           <span class="Comment">/* pointer to linkage relocation bits */</span>
<span id="L31" class="LineNr">31 </span>          <span class="Number">2</span> <span class="Normal">rel_symbol</span> <span class="Macro">bit</span><span class="pliRainbow_lv0_p0">(</span><span class="Number">18</span><span class="pliRainbow_lv0_p0">)</span> <span class="Macro">unaligned</span><span class="Normal">,</span>         <span class="Comment">/* pointer to symbol relocation bits */</span>
<span id="L32" class="LineNr">32 </span>          <span class="Number">2</span> <span class="Normal">mini_truncate</span> <span class="Macro">bit</span><span class="pliRainbow_lv0_p0">(</span><span class="Number">18</span><span class="pliRainbow_lv0_p0">)</span> <span class="Macro">unaligned</span><span class="Normal">,</span>      <span class="Comment">/* minimum truncate value */</span>
<span id="L33" class="LineNr">33 </span>          <span class="Number">2</span> <span class="Normal">maxi_truncate</span> <span class="Macro">bit</span><span class="pliRainbow_lv0_p0">(</span><span class="Number">18</span><span class="pliRainbow_lv0_p0">)</span> <span class="Macro">unaligned</span><span class="Normal">;</span>      <span class="Comment">/* maximum truncate value */</span>
<span id="L34" class="LineNr">34 </span>
<span id="L35" class="LineNr">35 </span><span class="Comment">/* END INCLUDE SEGMENT ... symbol_block_header.incl.pl1 */</span>
</pre>
<script defer src='https://static.cloudflareinsights.com/beacon.min.js' data-cf-beacon='{"token": "4b6a131644014aa29fd88953508c3a3d"}'></script></body>
</html>
<!-- vim: set foldmethod=manual : -->
